<?php
/**
 * Скрипт завершения операции (Success)
 * С проверкой подлинности подписи
 *
 * www.WAYtoPAY.org © 2011
 *
**/
include_once '../inc/start_sess.php';
// регистрационная информация
//id сервиса
$mrh_id       = 4307;


// HTTP параметры:
$out_summ = (float)$_REQUEST["wOutSum"];
$inv_id   = (int)$_REQUEST["wInvId"];
$id_user = (int)$_REQUEST["IdUser"];

if(!empty($id_user) AND !empty($out_summ)){
// Здесь вы можете добавить доп. код для большей безопасности
// Если все врено то выводим ответ
///Начисление
$us=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id`='$id_user'"));
$kol=round($out_summ/0.05);
if($us['flowerbed']==11)$bon=round(($kol/100)*25);
if($us['flowerbed']==12)$bon=round(($kol/100)*50);
function texi($kol){
$rest = substr("$kol", -1);
if($rest>=1){$tex="рубинов";}
if($kol>=21 and $rest==1){$tex="рубин";}
if($kol>=21 and $rest>=2 and $rest<=4){$tex="рубина";}
if($kol>=21 and $rest>=5){$tex="рубинов";}
if($rest==0){$tex="рубинов";}
return $tex;
}
if(isset($bon))$bontext='Бонус за клумбу: '.$bon.' '.(texi($bon)).'.'; else {$bon=0;$bontext='';}
$text="Получен платеж на Ваш аккаунт: $kol ".(texi($kol)).".
$bontext
Всего зачислено: ".($kol+$bon)." ".(texi($kol+$bon)).".";
///
echo "Оплата заказа $inv_id прошла удачно. $id_user $text";
$sum=$kol+$bon;
mysql_query("UPDATE `kolhoz_user` SET `rubies` = '$us[rubies]'+'$sum',`action_time`='".(time()+86400)."' WHERE `id` = '$us[id]' LIMIT 1") or die (mysql_error());
mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '$us[id]', `id_kont` = '0', `msg` = '$text', `time` = '".(time())."', `type` = 'to'") or die (mysql_error());
mysql_query("INSERT INTO `kolhoz_price` SET `id_user` = '$us[id]', `kol` = '$kol', `bon` = '$bon', `time` = '".(time())."', `kol_all` = '$sum'") or die (mysql_error());
header("Location:/myfarm");}else{echo'error';}
?>